MorganFingerprints.h File Reference
`#include <vector>`
`#include <map>`
`#include <DataStructs/SparseIntVect.h>`
`#include <DataStructs/ExplicitBitVect.h>`
`#include <boost/cstdint.hpp>`

Go to the source code of this file.

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.
| RDKit::MorganFingerprints

## Typedefs

typedef std::map< boost::uint32_t, std::vector< std::pair< boost::uint32_t, boost::uint32_t > > > | RDKit::MorganFingerprints::BitInfoMap

## Functions

SparseIntVect< boost::uint32_t > * | RDKit::MorganFingerprints::getFingerprint (const ROMol &mol, unsigned int radius, std::vector< boost::uint32_t > *invariants=0, const std::vector< boost::uint32_t > *fromAtoms=0, bool useChirality=false, bool useBondTypes=true, bool useCounts=true, bool onlyNonzeroInvariants=false, BitInfoMap *atomsSettingBits=0)
| returns the Morgan fingerprint for a molecule More...
SparseIntVect< boost::uint32_t > * | RDKit::MorganFingerprints::getHashedFingerprint (const ROMol &mol, unsigned int radius, unsigned int nBits=2048, std::vector< boost::uint32_t > *invariants=0, const std::vector< boost::uint32_t > *fromAtoms=0, bool useChirality=false, bool useBondTypes=true, bool onlyNonzeroInvariants=false, BitInfoMap *atomsSettingBits=0)
| returns the Morgan fingerprint for a molecule More...
ExplicitBitVect * | RDKit::MorganFingerprints::getFingerprintAsBitVect (const ROMol &mol, unsigned int radius, unsigned int nBits, std::vector< boost::uint32_t > *invariants=0, const std::vector< boost::uint32_t > *fromAtoms=0, bool useChirality=false, bool useBondTypes=true, bool onlyNonzeroInvariants=false, BitInfoMap *atomsSettingBits=0)
| returns the Morgan fingerprint for a molecule as a bit vector More...
void | RDKit::MorganFingerprints::getConnectivityInvariants (const ROMol &mol, std::vector< boost::uint32_t > &invars, bool includeRingMembership=true)
| returns the connectivity invariants for a molecule More...
void | RDKit::MorganFingerprints::getFeatureInvariants (const ROMol &mol, std::vector< boost::uint32_t > &invars, std::vector< const ROMol *> *patterns=0)
| returns the feature invariants for a molecule More...

## Variables

std::vector< std::string > | RDKit::MorganFingerprints::defaultFeatureSmarts
const std::string | RDKit::MorganFingerprints::morganFingerprintVersion = "1.0.0"
const std::string | RDKit::MorganFingerprints::morganConnectivityInvariantVersion = "1.0.0"
const std::string | RDKit::MorganFingerprints::morganFeatureInvariantVersion = "0.1.0"